Skip to main content
POST
/
v2
/
checkout
/
{slug}
/
session
Post Checkout By Slug Session
curl --request POST \
  --url https://api.pagou.ai/v2/checkout/{slug}/session \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "referrer_url": "<string>"
}
'
{
  "success": true,
  "requestId": "<string>",
  "data": {
    "session_token": "<string>",
    "expires_at": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

slug
string
required
Required string length: 3 - 255

Body

application/json
referrer_url
string | null
Maximum string length: 2048

Response

HTTP 201 response

success
boolean
required
requestId
string
required
data
object
required